import { useEffect } from "react"
import { isAuthenticated } from "../services/auth"
import { navigate } from "gatsby"

const BackendPage = () => {
	useEffect(() => {
		if (isAuthenticated()) {
			navigate("/backend/dashboard")
		} else {
			navigate("/auth/signin")
		}
	}, [])

	return null
}

export default BackendPage
